#ifndef	__Statistics
#define	__Statistics

class Statistics {
   public:
		// methods
			Statistics( vtkFloatArray* data );
			~Statistics();
		int	GetDimension();
		float*	GetMean();
		float*	GetMedian();
		float*	GetVariance();
		float	GetVarianceOfRow(int row);
		float*	GetMin();
		float*	GetMax();
		float*	GetLowerHinge();
		float*	GetUpperHinge();
		float*	GetHSpread();
		float*	GetStep();
		float*	GetInnerFence();
		float*	GetOuterFence();
		
		// attributes
		
	private:
		// methods
		
		// attributes
		float*	mean;
		float*	median;
		float*	variance;
		float*	min;
		float*	max;
		float*	lower;
		float*	upper;
		vtkFloatArray*	data;
		
};
#endif
