#include "vtkMyInteractorStyleTerrain.h"

#include "vtkActor.h"
#include "vtkCamera.h"
#include "vtkCommand.h"
#include "vtkExtractEdges.h"
#include "vtkMath.h"
#include "vtkObjectFactory.h"
#include "vtkPolyData.h"
#include "vtkPolyDataMapper.h"
#include "vtkRenderWindow.h"
#include "vtkRenderWindowInteractor.h"
#include "vtkRenderer.h"
#include "vtkSphereSource.h"

vtkCxxRevisionMacro(vtkMyInteractorStyleTerrain, "$Revision: 1.6 $");
vtkStandardNewMacro(vtkMyInteractorStyleTerrain);

//----------------------------------------------------------------------------
vtkMyInteractorStyleTerrain::vtkMyInteractorStyleTerrain()
{
 atext=  vtkTexture::New();
}

//----------------------------------------------------------------------------
vtkMyInteractorStyleTerrain::~vtkMyInteractorStyleTerrain()
{
 atext->Delete();
}

void vtkMyInteractorStyleTerrain::OnChar()
{
  vtkRenderWindowInteractor *rwi = this->Interactor;

  switch (rwi->GetKeyCode())
    {
    case 'M':
    case 'm':
      this->FindPokedRenderer(rwi->GetEventPosition()[0],
                              rwi->GetEventPosition()[1]);
 
      rwi->Render();
      break;

    default:
      this->Superclass::OnChar();
      break;
    }
}

//----------------------------------------------------------------------------
void vtkMyInteractorStyleTerrain::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os,indent);
  
 
}
