TEMPLATE = app
CONFIG  += qt release
DESTDIR  = ../
OBJECTS_DIR = ../bin
#MOC_DIR     = ../tmp
TARGET   = reefsom

HEADERS = data/DSContainer.h data/DataReader.h graphics/Fish.h graphics/FishCloud.h \
          graphics/GlyphWrapper.h gui/Gui.h data/Normalizer.h \
          gui/GuiDataTables.h gui/MyListViewItem.h gui/GuiVisSetup.h \
          gui/GuiMapping.h graphics/Renderer.h gui/GuiNormDialog.h graphics/Settings.h \
          data/gzstream.h graphics/Grid.h graphics/vtkMyInteractorStyleTerrain.h \


SOURCES = reefsom.cc \
          data/DSContainer.cc data/DataReader.cc  data/gzstream.cpp  data/Normalizer.cc\
          gui/Gui.cc gui/GuiMapping.cc gui/GuiDataTables.cc gui/MyListViewItem.cc gui/GuiVisSetup.cc \
	  graphics/GlyphWrapper.cc graphics/Fish.cc graphics/FishCloud.cc \
          graphics/Renderer.cc gui/GuiNormDialog.cc graphics/Settings.cc \
          graphics/Grid.cc graphics/vtkMyInteractorStyleTerrain.cc \




INCLUDEPATH = /vol/vtk/4.2/include/
INCLUDEPATH += /vol/qt/include/
INCLUDEPATH += ../vtkqt_vtk4.2/include/


INCLUDEPATH += data
INCLUDEPATH += gui
INCLUDEPATH += graphics
INCLUDEPATH += vtkqt_vtk4.2/include

LIBS += -lvtkCommon -lvtkGraphics -lvtkRendering -lvtkImaging -lvtkFiltering \
        -lvtkHybrid   \
        -lvtkIO -lvtkftgl -lvtkfreetype -lpthread -lm

LIBS += -L/vol/vtk/4.2/lib
LIBS += -L../vtkqt_vtk4.2/lib/ -lVtkQt


