// vtkPolyDataNoDeepCopyProb.h: Schnittstelle fr die Klasse vtkPolyDataNoDeepCopyProb.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VTKPOLYDATANODEEPCOPYPROB_H__492FB022_5D5E_4217_BEE9_668156F8CA18__INCLUDED_)
#define AFX_VTKPOLYDATANODEEPCOPYPROB_H__492FB022_5D5E_4217_BEE9_668156F8CA18__INCLUDED_

#include <vtkPolyData.h>

class vtkPolyDataNoDeepCopyProb : public vtkPolyData  
{
public:
  static vtkPolyDataNoDeepCopyProb *New();

  vtkTypeMacro(vtkPolyDataNoDeepCopyProb, vtkPolyData);
  void PrintSelf(ostream& os, vtkIndent indent);

  // Description:
  // Deep copy.
  void DeepCopy(vtkDataObject *src);


protected:
	vtkPolyDataNoDeepCopyProb();
	~vtkPolyDataNoDeepCopyProb();


private:
	vtkPolyDataNoDeepCopyProb(const vtkPolyDataNoDeepCopyProb&);  // Not implemented.
	void operator=(const vtkPolyDataNoDeepCopyProb&);  // Not implemented.
};

#endif // !defined(AFX_VTKPOLYDATANODEEPCOPYPROB_H__492FB022_5D5E_4217_BEE9_668156F8CA18__INCLUDED_)
