######################################################################
# Author Martin Ongsiek
######################################################################

TEMPLATE = lib
CONFIG  += qt staticlib thread warn_off
DESTDIR  = ../lib
TARGET	 = VtkQt

HEADERS += vtkPolyDataNoDeepCopyProb.h \
           vtkQGLLight.h \
           vtkQGLPtrToQT.h \
           vtkQGLPtrToVTK.h \
           vtkQGLRenderWindow.h \
           vtkQGLRenderWindowInteractor.h \
           vtkQGLWindowQT.h \
           vtkQtObjectFactory.h \
           vtkQtOpenGLPolyDataMapper.h \
           vtkQtOutputWindow.h
           
SOURCES += vtkPolyDataNoDeepCopyProb.cpp \
           vtkQGLLight.cxx \
           vtkQGLPtrToQT.cpp \
           vtkQGLPtrToVTK.cpp \
           vtkQGLRenderWindow.cpp \
           vtkQGLRenderWindowInteractor.cpp \
           vtkQGLWindowQT.cpp \
           vtkQtObjectFactory.cpp \
           vtkQtOpenGLPolyDataMapper.cxx \
           vtkQtOutputWindow.cxx

INCLUDEPATH += /vol/vtk/4.2/include

LIBS += -L/vol/vtk/4.2/lib -lvtkGraphics -lvtkRendering -lvtkImaging \
		-lvtkFiltering -lvtkCommon -lpthread -lm -lvtkftgl -lvtkfreetype 
macx {
    LIBS += -framework Carbon -framework OpenGL -framework AGL \
			-framework OpenGL  -framework AppKit 
}